# Generated from easy_time-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name easy_time

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Easy auto-conversion of most date and time values with tolerant-comparisons
License: MIT
URL: https://github.com/aks/easy_time
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(fuubar) >= 2.5.0
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-yard)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec_junit)
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(rubocop) >= 0.82.0
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(terminal-notifier-guard)
# BuildRequires: rubygem(yard) >= 0.9.24
BuildArch: noarch

%description
A class that wraps the Time class and makes it easy to work with most
known time values, including various time strings, automatically
converting them to Time values, and perform tolerant comparisons.
Several time classes, and the String class, are extended with the
".easy_time" method to perform an auto-conversion.  A tolerant comparison
allows for times from differing systems to be compared, even when the
systems are out of sync, using the relationship operators and methods
like "newer?", "older?", "same?" and "between?".  A tolerant comparison
for equality is where the difference of two values is less than the
tolerance value (1 minute by default).  The tolerance can be configured,
even set to zero.  Finally, all of the Time class and instance methods
are available on the EasyTime class and instances.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/easy_time.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.1-1
- Initial package
